_While an effort was made for this reference to be read beginning to end, it is a cheat sheet, not a tutorial. For a the full tutorial from John Gruber, author of the markdown syntax, follow this [link](http://daringfireball.net/projects/markdown/syntax)._  

******************************
# Horizontal Rules
***
* * *
- - - 
___
_ _ _

******************************
# Code
	function markdownExample() {
		alert('code block');
		return;
	}

You can also mention code inline using backticks.  For example, we can mention `markdownExample()` or even `<html>`.

******************************
#Emphasis

*This text is wrapped in `<em>` tags, usually italicized.*

_This text is also wrapped in `<em>` tags, usually italicized._

**his text is wrapped in `<strong>` tags, usually bolded.**

__This text is also wrapped in `<strong>` tags, usually bolded.__

You can also use this _mark_down in the m**iddl**e of any word or sentence.  Use a `\` to type a literal \* or \_.

******************************
# Headers

# `<H1>`
## `<H2>` ##
### `<H3>` #
#### `<H4>`
##### `<H5>` #####
###### `<H6>`
`<H1>`
==
`<H2>`
--

******************************
# Blockquotes
> Here's some basic blockquote text.
>
> > #### Header inside block quote
> > Nested blockquote
>
> Blockquote with code inside of it
>		
>		int main() { 
>			return 0; 
>		}
>
> Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines. Blockquotes can also span multiple lines.

******************************
# Lists
* list item 1
* list item 2
* list item 3

_or_

* list item 1
* list item 2
* list item 3

_or_

- list item 1
- list item 2
- list item 3

_or_

1. list item 1
2. list item 2
3. list item 3

_more complex example_

* list item 1
	* sub item 1
	* sub item 2
		* sub sub item 1
		* sub sub item 2 
	* sub item 3
* list item 2

	> Here's a blockquote inside a list item

* list item 3, with code:

		int main() {
			return 0;
		}
* 	list item 4, which contains multiple paragraphs of text.  This is the first of those paragraphs.

	Just make sure to indent each paragraph so that it stays contained in the list item.  Only the first line of each paragraph needs to be indented.  You can indent all lines of the 

******************************
# Links

This is an example of using **inline** links to sites like [Google](http://www.google.com) or my blog, [SavageLook.com](http://savagelook.com/blog).  While convenient, they aren't as writer friendly as reference or implicit links.

This is an example of using **reference** links to sites like [Google][1] or my blog, [SavageLook.com][2].  These links make the paragraph more readable.  Numbers are used here for reference ids, but any string value can be used.  The reference ids can be defined anywhere in the markdown.  In this case they are found at the end of this section.

This is an example of using **implicit** links to sites like [Google][] or my blog, [SavageLook.com][]. These are the easiest to read.  The text of the link is used as the link id, just like a reference link.

This is an example of using **automatic** links to sites like <http://www.google.com> or my blog, <http://savagelook.com/blog>. This is a shortcut syntax for quickly adding links that can be displayed as is.  They also work for email addresses, <nobody@nobody.com>.

[1]: http://www.google.com
[2]: http://savagelook.com/blog
[Google]: http://www.google.com
[SavageLook.com]: http://savagelook.com/blog "Optional Title"

******************************
# Images

Just like links above, images can be specified with inline, reference, or implicit declarations.

![Alternate text for inline image](http://www.google.com/images/logos/ps_logo2.png) 

![Alternate text for reference image][ImageId]

![ImageId][]

[ImageId]: http://www.google.com/images/logos/ps_logo2.png